%define  ver     0.65.6
%define  rel     3
%define  prefix  /usr

Summary: yet another gtk based IRC client
Name: yagirc
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Communications
Source: http://www.elpaso.net/~spoon/yagirc/yagirc-%{ver}.tar.gz
Source1: yagirc.desktop
Url:http://www.elpaso.net/~spoon/yagirc/
BuildRoot:/tmp/yagirc-root
Docdir: %{prefix}/doc

%description
GTK based irc client

%prep
%setup

%build
./configure --prefix=%prefix

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
#
# seems to not work currently

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
#
# makefile is broken, sets exec_prefix explicitely.
#
make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install 
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/apps/Applications
install -m 644 ${RPM_SOURCE_DIR}/yagirc.desktop $RPM_BUILD_ROOT/%{prefix}/share/apps/Applications

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Mon Aug 24 1998 Michael Fulbright <msf@redhat.com>
- changed spec file to be a little more sane, allow easy maintainance

* Thu Aug 20 1998 Michael Fulbright <msf@redhat.com>
- updated to version 0.65.6

* Mon Jun  1 1998 Michael Fulbright <msf@redhat.com>
- first version of RPM

%files
%defattr(-, root, root)

%doc COPYING TODO README ChangeLog
%{prefix}/bin/yagirc
%{prefix}/etc/yagirc.conf
%{prefix}/share/yagirc/irc.pl 
%{prefix}/share/yagirc/startup.pm 
%{prefix}/share/apps/Applications/yagirc.desktop

